Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network155.72.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
155.72.0.0
Broadcast address
155.75.255.255
First usable
155.72.0.1
Last usable
155.75.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex 9B480000 · Integer 2605187072 to 2605449215
Reverse DNS zones
72.155.in-addr.arpa
73.155.in-addr.arpa
74.155.in-addr.arpa
75.155.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011011.01001000.00000000.00000000155.72.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10011011.01001000.00000000.00000000155.72.0.0
Broadcast10011011.01001011.11111111.11111111155.75.255.255
Split into smaller subnets/21

155.72.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1155.72.0.0/21155.72.0.1 to 155.72.7.254155.72.7.2552,046
2155.72.8.0/21155.72.8.1 to 155.72.15.254155.72.15.2552,046
3155.72.16.0/21155.72.16.1 to 155.72.23.254155.72.23.2552,046
4155.72.24.0/21155.72.24.1 to 155.72.31.254155.72.31.2552,046
5155.72.32.0/21155.72.32.1 to 155.72.39.254155.72.39.2552,046
6155.72.40.0/21155.72.40.1 to 155.72.47.254155.72.47.2552,046
7155.72.48.0/21155.72.48.1 to 155.72.55.254155.72.55.2552,046
8155.72.56.0/21155.72.56.1 to 155.72.63.254155.72.63.2552,046
9155.72.64.0/21155.72.64.1 to 155.72.71.254155.72.71.2552,046
10155.72.72.0/21155.72.72.1 to 155.72.79.254155.72.79.2552,046
11155.72.80.0/21155.72.80.1 to 155.72.87.254155.72.87.2552,046
12155.72.88.0/21155.72.88.1 to 155.72.95.254155.72.95.2552,046
13155.72.96.0/21155.72.96.1 to 155.72.103.254155.72.103.2552,046
14155.72.104.0/21155.72.104.1 to 155.72.111.254155.72.111.2552,046
15155.72.112.0/21155.72.112.1 to 155.72.119.254155.72.119.2552,046
16155.72.120.0/21155.72.120.1 to 155.72.127.254155.72.127.2552,046
17155.72.128.0/21155.72.128.1 to 155.72.135.254155.72.135.2552,046
18155.72.136.0/21155.72.136.1 to 155.72.143.254155.72.143.2552,046
19155.72.144.0/21155.72.144.1 to 155.72.151.254155.72.151.2552,046
20155.72.152.0/21155.72.152.1 to 155.72.159.254155.72.159.2552,046
21155.72.160.0/21155.72.160.1 to 155.72.167.254155.72.167.2552,046
22155.72.168.0/21155.72.168.1 to 155.72.175.254155.72.175.2552,046
23155.72.176.0/21155.72.176.1 to 155.72.183.254155.72.183.2552,046
24155.72.184.0/21155.72.184.1 to 155.72.191.254155.72.191.2552,046
25155.72.192.0/21155.72.192.1 to 155.72.199.254155.72.199.2552,046
26155.72.200.0/21155.72.200.1 to 155.72.207.254155.72.207.2552,046
27155.72.208.0/21155.72.208.1 to 155.72.215.254155.72.215.2552,046
28155.72.216.0/21155.72.216.1 to 155.72.223.254155.72.223.2552,046
29155.72.224.0/21155.72.224.1 to 155.72.231.254155.72.231.2552,046
30155.72.232.0/21155.72.232.1 to 155.72.239.254155.72.239.2552,046
31155.72.240.0/21155.72.240.1 to 155.72.247.254155.72.247.2552,046
32155.72.248.0/21155.72.248.1 to 155.72.255.254155.72.255.2552,046
33155.73.0.0/21155.73.0.1 to 155.73.7.254155.73.7.2552,046
34155.73.8.0/21155.73.8.1 to 155.73.15.254155.73.15.2552,046
35155.73.16.0/21155.73.16.1 to 155.73.23.254155.73.23.2552,046
36155.73.24.0/21155.73.24.1 to 155.73.31.254155.73.31.2552,046
37155.73.32.0/21155.73.32.1 to 155.73.39.254155.73.39.2552,046
38155.73.40.0/21155.73.40.1 to 155.73.47.254155.73.47.2552,046
39155.73.48.0/21155.73.48.1 to 155.73.55.254155.73.55.2552,046
40155.73.56.0/21155.73.56.1 to 155.73.63.254155.73.63.2552,046
41155.73.64.0/21155.73.64.1 to 155.73.71.254155.73.71.2552,046
42155.73.72.0/21155.73.72.1 to 155.73.79.254155.73.79.2552,046
43155.73.80.0/21155.73.80.1 to 155.73.87.254155.73.87.2552,046
44155.73.88.0/21155.73.88.1 to 155.73.95.254155.73.95.2552,046
45155.73.96.0/21155.73.96.1 to 155.73.103.254155.73.103.2552,046
46155.73.104.0/21155.73.104.1 to 155.73.111.254155.73.111.2552,046
47155.73.112.0/21155.73.112.1 to 155.73.119.254155.73.119.2552,046
48155.73.120.0/21155.73.120.1 to 155.73.127.254155.73.127.2552,046
49155.73.128.0/21155.73.128.1 to 155.73.135.254155.73.135.2552,046
50155.73.136.0/21155.73.136.1 to 155.73.143.254155.73.143.2552,046
51155.73.144.0/21155.73.144.1 to 155.73.151.254155.73.151.2552,046
52155.73.152.0/21155.73.152.1 to 155.73.159.254155.73.159.2552,046
53155.73.160.0/21155.73.160.1 to 155.73.167.254155.73.167.2552,046
54155.73.168.0/21155.73.168.1 to 155.73.175.254155.73.175.2552,046
55155.73.176.0/21155.73.176.1 to 155.73.183.254155.73.183.2552,046
56155.73.184.0/21155.73.184.1 to 155.73.191.254155.73.191.2552,046
57155.73.192.0/21155.73.192.1 to 155.73.199.254155.73.199.2552,046
58155.73.200.0/21155.73.200.1 to 155.73.207.254155.73.207.2552,046
59155.73.208.0/21155.73.208.1 to 155.73.215.254155.73.215.2552,046
60155.73.216.0/21155.73.216.1 to 155.73.223.254155.73.223.2552,046
61155.73.224.0/21155.73.224.1 to 155.73.231.254155.73.231.2552,046
62155.73.232.0/21155.73.232.1 to 155.73.239.254155.73.239.2552,046
63155.73.240.0/21155.73.240.1 to 155.73.247.254155.73.247.2552,046
64155.73.248.0/21155.73.248.1 to 155.73.255.254155.73.255.2552,046
65155.74.0.0/21155.74.0.1 to 155.74.7.254155.74.7.2552,046
66155.74.8.0/21155.74.8.1 to 155.74.15.254155.74.15.2552,046
67155.74.16.0/21155.74.16.1 to 155.74.23.254155.74.23.2552,046
68155.74.24.0/21155.74.24.1 to 155.74.31.254155.74.31.2552,046
69155.74.32.0/21155.74.32.1 to 155.74.39.254155.74.39.2552,046
70155.74.40.0/21155.74.40.1 to 155.74.47.254155.74.47.2552,046
71155.74.48.0/21155.74.48.1 to 155.74.55.254155.74.55.2552,046
72155.74.56.0/21155.74.56.1 to 155.74.63.254155.74.63.2552,046
73155.74.64.0/21155.74.64.1 to 155.74.71.254155.74.71.2552,046
74155.74.72.0/21155.74.72.1 to 155.74.79.254155.74.79.2552,046
75155.74.80.0/21155.74.80.1 to 155.74.87.254155.74.87.2552,046
76155.74.88.0/21155.74.88.1 to 155.74.95.254155.74.95.2552,046
77155.74.96.0/21155.74.96.1 to 155.74.103.254155.74.103.2552,046
78155.74.104.0/21155.74.104.1 to 155.74.111.254155.74.111.2552,046
79155.74.112.0/21155.74.112.1 to 155.74.119.254155.74.119.2552,046
80155.74.120.0/21155.74.120.1 to 155.74.127.254155.74.127.2552,046
81155.74.128.0/21155.74.128.1 to 155.74.135.254155.74.135.2552,046
82155.74.136.0/21155.74.136.1 to 155.74.143.254155.74.143.2552,046
83155.74.144.0/21155.74.144.1 to 155.74.151.254155.74.151.2552,046
84155.74.152.0/21155.74.152.1 to 155.74.159.254155.74.159.2552,046
85155.74.160.0/21155.74.160.1 to 155.74.167.254155.74.167.2552,046
86155.74.168.0/21155.74.168.1 to 155.74.175.254155.74.175.2552,046
87155.74.176.0/21155.74.176.1 to 155.74.183.254155.74.183.2552,046
88155.74.184.0/21155.74.184.1 to 155.74.191.254155.74.191.2552,046
89155.74.192.0/21155.74.192.1 to 155.74.199.254155.74.199.2552,046
90155.74.200.0/21155.74.200.1 to 155.74.207.254155.74.207.2552,046
91155.74.208.0/21155.74.208.1 to 155.74.215.254155.74.215.2552,046
92155.74.216.0/21155.74.216.1 to 155.74.223.254155.74.223.2552,046
93155.74.224.0/21155.74.224.1 to 155.74.231.254155.74.231.2552,046
94155.74.232.0/21155.74.232.1 to 155.74.239.254155.74.239.2552,046
95155.74.240.0/21155.74.240.1 to 155.74.247.254155.74.247.2552,046
96155.74.248.0/21155.74.248.1 to 155.74.255.254155.74.255.2552,046
97155.75.0.0/21155.75.0.1 to 155.75.7.254155.75.7.2552,046
98155.75.8.0/21155.75.8.1 to 155.75.15.254155.75.15.2552,046
99155.75.16.0/21155.75.16.1 to 155.75.23.254155.75.23.2552,046
100155.75.24.0/21155.75.24.1 to 155.75.31.254155.75.31.2552,046
101155.75.32.0/21155.75.32.1 to 155.75.39.254155.75.39.2552,046
102155.75.40.0/21155.75.40.1 to 155.75.47.254155.75.47.2552,046
103155.75.48.0/21155.75.48.1 to 155.75.55.254155.75.55.2552,046
104155.75.56.0/21155.75.56.1 to 155.75.63.254155.75.63.2552,046
105155.75.64.0/21155.75.64.1 to 155.75.71.254155.75.71.2552,046
106155.75.72.0/21155.75.72.1 to 155.75.79.254155.75.79.2552,046
107155.75.80.0/21155.75.80.1 to 155.75.87.254155.75.87.2552,046
108155.75.88.0/21155.75.88.1 to 155.75.95.254155.75.95.2552,046
109155.75.96.0/21155.75.96.1 to 155.75.103.254155.75.103.2552,046
110155.75.104.0/21155.75.104.1 to 155.75.111.254155.75.111.2552,046
111155.75.112.0/21155.75.112.1 to 155.75.119.254155.75.119.2552,046
112155.75.120.0/21155.75.120.1 to 155.75.127.254155.75.127.2552,046
113155.75.128.0/21155.75.128.1 to 155.75.135.254155.75.135.2552,046
114155.75.136.0/21155.75.136.1 to 155.75.143.254155.75.143.2552,046
115155.75.144.0/21155.75.144.1 to 155.75.151.254155.75.151.2552,046
116155.75.152.0/21155.75.152.1 to 155.75.159.254155.75.159.2552,046
117155.75.160.0/21155.75.160.1 to 155.75.167.254155.75.167.2552,046
118155.75.168.0/21155.75.168.1 to 155.75.175.254155.75.175.2552,046
119155.75.176.0/21155.75.176.1 to 155.75.183.254155.75.183.2552,046
120155.75.184.0/21155.75.184.1 to 155.75.191.254155.75.191.2552,046
121155.75.192.0/21155.75.192.1 to 155.75.199.254155.75.199.2552,046
122155.75.200.0/21155.75.200.1 to 155.75.207.254155.75.207.2552,046
123155.75.208.0/21155.75.208.1 to 155.75.215.254155.75.215.2552,046
124155.75.216.0/21155.75.216.1 to 155.75.223.254155.75.223.2552,046
125155.75.224.0/21155.75.224.1 to 155.75.231.254155.75.231.2552,046
126155.75.232.0/21155.75.232.1 to 155.75.239.254155.75.239.2552,046
127155.75.240.0/21155.75.240.1 to 155.75.247.254155.75.247.2552,046
128155.75.248.0/21155.75.248.1 to 155.75.255.254155.75.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses